const {SError,} = require('error')

class ImplementationError extends SError {
  constructor(message, info) {
    super(message || 'Implementation error', info)
  }
}

class ArgumentError extends SError {
  constructor(message, info) {
    super(message || 'Argument error')
  }
}

module.exports = {
  ImplementationError,
  ArgumentError,
}
